using Godot;
using System.Reflection;
using System.Collections.Generic;

namespace Rokojori
{ 
  [Tool]
  [GlobalClass]
  public partial class FloatPropertyTransfer:Resource
  { 
    [Export]
    public FloatPropertyName from;

    [Export]
    public FloatPropertyName to;

    public void Transfer( Material a, Material b )
    {
      var v = from.Get( a );
      to.Set( b, v );
    }
  }
}

